package com.bonus.material.repair.service;

import java.util.List;
import com.bonus.material.repair.domain.RepairCost;

/**
 * 维修详细Service接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface IRepairCostService {
    /**
     * 查询维修详细
     * 
     * @param id 维修详细主键
     * @return 维修详细
     */
    public RepairCost selectRepairCostById(Long id);

    /**
     * 查询维修详细列表
     * 
     * @param repairCost 维修详细
     * @return 维修详细集合
     */
    public List<RepairCost> selectRepairCostList(RepairCost repairCost);

    /**
     * 新增维修详细
     * 
     * @param repairCost 维修详细
     * @return 结果
     */
    public int insertRepairCost(RepairCost repairCost);

    /**
     * 修改维修详细
     * 
     * @param repairCost 维修详细
     * @return 结果
     */
    public int updateRepairCost(RepairCost repairCost);

    /**
     * 批量删除维修详细
     * 
     * @param ids 需要删除的维修详细主键集合
     * @return 结果
     */
    public int deleteRepairCostByIds(Long[] ids);

    /**
     * 删除维修详细信息
     * 
     * @param id 维修详细主键
     * @return 结果
     */
    public int deleteRepairCostById(Long id);
}
